Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::view::sample_fn Struct Reference

## Description

Returns a random sample of a range of length `size(range)`.

## Synopsis of methods
constexpr view< sample_fn > | sample {}

## Public Member Functions
template<typename Rng , typename URNG = detail::default_random_engine>
auto | operator() (Rng &&rng, range_difference_t< Rng > sample_size, URNG &generator=detail::get_random_engine()) const -> sample_view< all_t< Rng >, URNG > requires ViewableRange< Rng > &&InputRange< Rng > &&UniformRandomNumberGenerator< URNG > &&ConvertibleTo< invoke_result_t< URNG & >, range_difference_t< Rng >> &&(SizedRange< Rng >||SizedSentinel< sentinel_t< Rng >, iterator_t< Rng >>||ForwardRange< Rng >)